# -*- coding: utf-8 -*-

# mathtoolspy
# -----------
# A fast, efficient Python library for mathematically operations, like
# integration, solver, distributions and other useful functions.
# 
# Author:   sonntagsgesicht, based on a fork of Deutsche Postbank [pbrisk]
# Version:  0.3, copyright Wednesday, 18 September 2019
# Website:  https://github.com/sonntagsgesicht/mathtoolspy
# License:  Apache License 2.0 (see LICENSE file)


DOUBLE_TOL = 1E-13

# ----------- Constants with PI --------------
""" PI """
PI = 3.1415926535897932384626433
""" The factor $\sqrt{2}$. """
SQRT_OF_TWO = 1.414213562373095
""" The factor: $\sqrt{Pi}$. """
SQRT_OF_PI = 1.772453850905516
""" The factor: $\sqrt{2*Pi}$. """
SQRT_OF_TWO_PI = 2.506628274631
""" The prefactor of the normal density: $1/\sqrt{2\Pi}$. """
ONE_OVER_SQRT_OF_TWO_PI = 0.398942280401433
""" The factor $1/{2\Pi}$. """
ONE_OVER_TWO_PI = 0.15915494309189533

# ----------- Constants with GOLD(en ratio) ---
""" The golden ratio. """
GOLD = 0.61803399
""" One minus GOLD """
ONE_MINUS_GOLD = 0.38196601
""" One over GOLD """
ONE_OVER_GOLD = 1.618034
